Ice Reference Documentation
<<< Previous | Properties | Next >>>

# Ice Plugin Properties

## Ice.Plugin.`name`

### Synopsis

    Ice.Plugin.name=entry_point [args]

### Description

Defines a plugin to be installed during communicator initialization.

Platform Notes

C++

  The value of `entry_point` has the form `basename[,version]:function`. The `basename` and optional `version` components are used to construct the name of a DLL or shared library. If no version is supplied, the Ice version is used. The `function` component is the name of a function with C linkage. For example, the entry point `MyPlugin,3.1:create` would imply a shared library name of `libMyPlugin.so.3.1` on Unix and `MyPlugin31.dll` on Windows. Furthermore, if Ice is built on Windows with debugging, a `d` is automatically appended to the version (e.g., `MyPlugin31d.dll`).

Java

  The value of `entry_point` is the name of a class that must implement the `Ice.PluginFactory` interface. Any arguments that follow the class name are passed to the `create` method.

.NET

  The value of `entry_point` has the form `assembly:class`. The assembly can be the full assembly name, such as `myplugin, Version=0.0.0.0, Culture=neutral`, or an assembly DLL name such as `myplugin.dll`. The specified class must implement the `Ice.PluginFactory` interface. Any arguments that follow the class name are passed to the `create` method.

## Ice.PluginLoadOrder

### Synopsis

    Ice.PluginLoadOrder=names

### Description

Determines the order in which plugins are loaded. The Ice run time loads the plugins in the order they appear in `names`, where each plugin name is separated by a comma or whitespace. Any plugins not mentioned in `names` are loaded afterward, in an undefined order.

## Ice.InitPlugins

### Synopsis

    Ice.InitPlugins=num

### Description

If `num` is a value greater than zero, the Ice run time automatically initializes the plugins it has loaded. The order in which plugins are loaded and initialized is determined by Ice.PluginLoadOrder. An application may need to set this property to zero in order to interact directly with a plugin after it has been loaded but before it is initialized. In this case, the application must invoke `initializePlugins` on the plugin manager to complete the initialization process. If not defined, the default value is 1.

<<< Previous | Home | Next >>>
Ice Object Adapter Properties | Up | Ice Thread Pool Properties